<script>
	import Content from '../../components/Content.svelte';
	import BookmarkList from '../../components/BookmarkList.svelte';
	import UtilHeader from '../../components/UtilHeader.svelte';

	/** @type { import("../../types").Data } */
	export let data;

	const { ayahs, pages, surahs } = data;
	const title = 'المَرْجِعِيَّات';
</script>

<svelte:head>
	<title>&rlm;{title} &ndash; الْقُرْآنُ الْكَرِيْمُ</title>
</svelte:head>

<Content>
	<UtilHeader>
		<h1>{title}</h1>
	</UtilHeader>
	<main>
		<BookmarkList hydrate-client={{ ayahs, pages, surahs }} />
	</main>
</Content>
